Bug 5833 - sound apps cause X server to use 100% CPU
Summary: sound apps cause X server to use 100% CPU
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/nVidia (open) (show other bugs)
Version: 6.8.2
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: Xorg Project Team
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-02-07 13:39 UTC by Steve Falco
Modified: 2010-11-14 23:10 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
straces of the Xserver (12.88 KB, text/plain)
2006-02-07 13:42 UTC, Steve Falco
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Falco 2006-02-07 13:39:30 UTC
I initially filed this on bugzilla.redhat.com, bug number 176994, but they
requested that I move it here.

I have a TYAN S2882-D mobo with two Opteron 250 CPUs, total of 4 Gigs of RAM, 2
Gigs per processor.

The video card is a PNY Nvidia FX 5500 (PCI bus, not AGP if that matters).
I have tried two sound cards, an Ensoniq 1370 and a Creative Audigy 2 ZS.  The
problem is the same for either sound card, and doesn't seem to be slot dependent.

If not using sound, the system runs for a day or more.  I start using audacity,
recording or playing back, and after a half minute or so, the entire display
freezes up.  I can still ping the box, and an ssh from another machine shows the
Xserver at 99.9% CPU.  If I kill -9 the Xserver, the box restarts X and I can
log in.

It does the same thing with gcdmaster playing back a wav file.  So it looks to
be an interaction between X and a sound card.

I did an strace on the Xserver, but I'm not sure it is meaningful - it reports
a buffer overflow in select, which I've seen listed in another bug as due to
tracing a 32-bit app on a 64-bit system.  I'll attach the trace anyway in case
it is helpful.

I can reproduce this 100% of the time on this machine, and I will gladly capture
any other data anyone might like to see.

Steps to Reproduce:
1.Start audacity
2.Start recording

Actual Results:  Screen freezes, Xserver goes to 99.9% CPU

I tried installing the proprietary nvidia driver:

     NVIDIA-Linux-x86_64-1.0-8178-pkg2.run

and the problem completely disappears.  So, I am currently suspecting the xorg
nv driver.
Comment 1 Steve Falco 2006-02-07 13:42:17 UTC
Created attachment 4572 [details]
straces of the Xserver
Comment 2 Steve Falco 2006-03-30 08:04:23 UTC
Installed the latest Fedora Core 5, with Xorg 7.0.0.  This bug appears to be
fixed in this version.
Comment 3 Adam Jackson 2008-02-24 18:22:20 UTC
Mass reopen.  The "LATER" resolution is lame, I'm deleting it.  Consider LATER to have arrived.
Comment 4 Jesse Adkins 2010-11-14 23:10:41 UTC
(In reply to comment #2)
> Installed the latest Fedora Core 5, with Xorg 7.0.0.  This bug appears to be
> fixed in this version.

I'll close this then. Reopen if the problem shows up again in a newer Xorg.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.